function [y,index] = MicroSim(x)
% MicroSim replaces negative entries in a vector to zero
% usage:
%	[y,index] = MicroSim(x)
% where
%	x = input vector
%	y = output vector
%	index hold the sample number.  E.g. plot result using plot(index, y)

% setup
[nrows, ncols] = size(x);
y = x;			% create the output vector

% error checking
if (ncols ~= 1 & nrows ~= 1)
	error('input to MicroSim must be a vector!')
end
L = max([nrows ncols]);	% length of input vector; same as length(x)

for n=1:L		% loop over the entire vector
	if y(n) < 0		% if its negative, make it equal to zero
		y(n) = 0;
	end
end

index = 1:L;		% make the index vector
